REALMSET(1)

NAME
realmset - Modifies entries in a DNSSEC-Tools realm file

SYNOPSIS
  realmset [options] realm-file

DESCRIPTION
realmset modifies fields in the realm file specified by realm-file. Multiple options may be combined in a single realmset execution. realmset operates quietly unless it is given the -verbose option.

All records in the specified realm file will be modified, unless the -name option is given. In that case, only the named zone will be modified.

OPTIONS

-administrator addr
    The zone administrator's email address is set to addr.

-args arglist
    Provides additional arguments for the realm manager. These arguments will override the arguments in the DNSSEC-Tools defaults file, the DNSSEC-Tools configuration file, and the realms' rollrec files. The manager's argument list is given in arglist. If more than one argument is given, the set of arguments should be enclosed in quotes.

    Given the realmset argument processing, the new arguments cannot be specified as they would from a command line. Instead, the arguments should be given in the following manner. The leading dash should be replaced with an equals sign. If the option takes an argument, the space that would separate the option from the option's argument should also be replaced by an equals sign. realmset translates these arguments to the appropriate format for the realm manager. These examples should clarify the argument modifications:

        normal rollerd option               -args options
        ------------------------            ---------------
            -display                           =display
            -logfile /dt/log.file              =zskcount=/dt/log.file

    The following are valid uses of -args:

        # realmset -args =display example.realm
        # realmset -args "=loglevel=phase =sleep=3600" example.realm

    The -args and -del-args options are mutually exclusive.

-configdir configdir
    The directory to hold the realm's configuration files is set to confdir.

-del-administrator
    The administrator line is deleted from the selected realm records. The -administrator and -del-administrator options are mutually exclusive.

-del-args
    The args line is deleted from the selected realm records. The -args and -del-args options are mutually exclusive.

-del-display
    The display line is deleted from the selected realm records. The -display, -nodisplay, and -del-display options are mutually exclusive.

-del-manager
    The manager line is deleted from the selected realm records. The -manager and -del-manager options are mutually exclusive.

-del-user
    The user line is deleted from the selected realm records. The -user and -del-user options are mutually exclusive.

-display
    Turn on the GUI display of the selected realms. The -display, -nodisplay, and -del-display options are mutually exclusive.

-manager manager-program
    The manager program for the selected realms is set to manager-program.

-name realmname
    The realm whose name matches realmname is selected as the only realm that will be modified. If this name is not given, then all realm records will be modified.

-newname new-name
    The realm's name is changed to new-name. The new name cannot be the name of an existing realm in the file. This option must be used in conjunction with the -name option.

-nocheck
    If this option is given, the realmchk command will not be run on the modified realm file.

-nodisplay
    Turn off the GUI display of the selected realms. The -display, -nodisplay, and -del-display options are mutually exclusive.

-realmdir realmdir
    The directory to hold the realm's files is set to realmdir.

-rollrec rollrec-file
    The rollrec file in the selected realm records is modified to be rollrec-file.

-state newstate
    The realm's state is set to newstate. This must be either "active" or "inactive".

-statedir statedir
    The directory to hold the realm's state files is set to statedir.

-user username
    The user name in the selected realm records is modified to be username.

-verbose
    Display information about every modification made to the realm file.

-Version
    Displays the version information for realmset and the DNSSEC-Tools package.

-help
    Display a usage message.

COPYRIGHT
Copyright 2012-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
dtrealms(8), lsrealm(8), realmchk(8), realminit(8)

Net::DNS::SEC::Tools::realmmgr.pm(3), Net::DNS::SEC::Tools::realm.pm(3)

file-realm(5)